import { SchemaType } from '../../types';
declare type State = {
    name: string;
    key: string;
    type?: SchemaType;
};
declare type Action = {
    type: 'change_name';
    payload: string;
} | {
    type: 'change_key';
    payload: string;
} | {
    type: 'change_type';
    payload: SchemaType;
};
export declare const reducer: (state: State, action: Action) => {
    name: string;
    key: string;
    type?: "string" | "number" | "boolean" | "object" | "integer" | "array" | "null" | undefined;
};
export declare const initialState: State;
export {};
